# Choice Field API

| **Choice field**                                                                   |
| ---------------------------------------------------------------------------------- |
| *\<field type=”radio” name=”string” search=”boolean” value=”string” roleId=”id”/>* |

#### Choice Field/Radio button attributes

* **type** — define if this field is radio type, mandatory attribute.
* **name** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field name used for fill in on envelope, unique for document, mandatory attribute.
* **value** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field value used for fill in value on envelope, unique for group name, mandatory attribute.
* **search** — boolean, defines if field is searchable on envelope search or not, if not set default value false, optional attribute.
* **roleId** — id of the role who should fill field on envelope, mandatory attribute.

For one group any amount of choice options can be created, but only one of them can be selected in the envelope.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/template-dynamic-fields-api/choice-field-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
